#! /usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import os
import re

languages = ["Basque", "English", "French", "German", "Hungarian", "Polish", "Swedish"]
embs =  ["cca", "w2v-cbow", "w2v-skip", "glove", "w2vf", "brown"]
ftypes = [ "pos", "label", "headpos", "case", "gender", "tense", "number"]
windows = ["5","11"]
sizes = ["10", "100", "200"]

pref = "/mnt/experiment/2015-word-emb/results/"

accre = re.compile("Accuracy = ([0-9.]*)\% ")


nonexisting_data = [("gender", "Basque"), ("case", "French"), ("gender", "Hungarian"), ("case","English"),("gender","English"),("number","English"),("tense","English")]

for emb in embs:
    for window in windows:
        for size in sizes:
            if (emb == 'brown' and (size != '10' or window != '5')) or (emb == 'w2vf' and window == '11'):
                continue
            resfile = open('gnuplot-out/'+emb+'-'+size+'-'+window, 'w')
            for ftype in ftypes:
                for l in languages:
                    if (ftype, l) in nonexisting_data:
                        continue
                    source = pref+l+'-'+ftype+'-'+emb+'-'+size+'-'+window+'.results.txt'
                    try:
                        # Basque-case-w2v-cbow-100.results.txt
                        # source = pref+l+'-'+ftype+'-'+emb+'-'+size+'.results.txt'  # old version
                        # print(source)
                        line = open(source).readline()
                        #print(line)
                        num = accre.match(line).groups()[0]
                        resfile.write(num+"\n")
                    except Exception as e:
                        print(source)
                        print(e)
                        resfile.write("NaN\n")
            resfile.close()

