#! /bin/bash

set -e

datapath=$1
language=$2
size=$3

CORPUS=${datapath}/cleaned/${language}.txt
TEMP_FILE=${datapath}/brown-temp/$language-$size.path
SAVE_FILE=${datapath}/embeddings/${language}-brown-${size}-5.txt


mkdir -p ${datapath}/brown-temp/

if [ ! -e $TEMP_FILE ]; then
    cd brown-cluster
    echo ./wcluster --min-occur 5 --c $((2**size)) --text $CORPUS --paths $TEMP_FILE --threads 24
    ./wcluster --min-occur 5 --c $((2**$size)) --text $CORPUS --paths $TEMP_FILE --threads 24
    cd ..
fi

maxsize=$(sed 's/\t.*//' $TEMP_FILE | sort -u | wc -L)

echo ./brown2emb.py $maxsize < $TEMP_FILE > $SAVE_FILE
./brown2emb.py $maxsize < $TEMP_FILE > $SAVE_FILE
