#! /bin/bash
# -*- tab-width: 4 -*-

set -e

datapath=/local/koehn/koehn/2015-word-emb


if [ -e gnuplot-out/upperbound ]; then
	rm gnuplot-out/upperbound
fi

num=0

for ftype in pos label headpos case gender tense number; do
	for language in Basque English French German Hungarian Polish Swedish; do

		# skip features for which no annotation exists
		if [ Basque = $language -a $ftype = gender ]; then
			# Basque has no gender
			continue
		fi
		if [ French = $language -a $ftype = case ]; then
			continue
		fi
		if [ Hungarian = $language -a $ftype = gender ]; then
			continue
		fi
		if [ English = $language -a ! '(' $ftype = pos -o $ftype = label -o $ftype = headpos ')' ]; then
			# English has no morphological annotation
			continue
		fi
		output=${datapath}/results/${language}-${ftype}-upperbound.results.txt
		# if [ -e $output ]; then
		# 	continue
		# fi

		echo $num $(./create_upper_bound.py -t ~/data/spmrl/train.${language}.gold.conll -e ~/data/spmrl/dev.${language}.gold.conll -f $ftype) >> gnuplot-out/upperbound
		num=$((num+1))
	done
	echo >> gnuplot-out/upperbound
done
